import Vue from 'vue';
import Vuex from 'vuex';
import otheruser from './otheruser';
import companyup from './companyup';
import companyidentify from './companyidentify';
import companyuser from './companyuser';
import institution from './institution';
import character from './character';
import menurole from './menurole';
import region from './region';
import profession from './profession';
import tDeclarationApproval from './tDeclarationApproval';
import tDigitalService from './tDigitalService';
import tFinancingExpert from './tFinancingExpert';
import tCooperativeOrganization from './tCooperativeOrganization';
import tGuidanceUnit from './tGuidanceUnit';
import tInformationDelivery from './tInformationDelivery';
import tNewsCenter from './tNewsCenter';
import tPolicyInterpretation from './tPolicyInterpretation';
import dictionary from './dictionary';
import login from './login';
import financeclaim from './financeclaim';
import loanpro from './loanpro';
import * as muta from './user/mutations';
import * as states from './user/state';
import banner from './banner';
import loanfollow from './loanfollow';
import managemoney from './managemoney';
import financeclaimadd from './financeclaimadd';
import tUrgeHandle from './tUrgeHandle';
import tNewAssign from './tNewAssign';
import intelligentDocking from './intelligentDocking';
import intelligentFollow from './intelligentFollow';
import claimneed from './claimneed';
import follow from './follow';

Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    otheruser,
    companyup,
    companyidentify,
    companyuser,
    institution,
    character,
    menurole,
    region,
    profession,
    tDeclarationApproval,
    tDigitalService,
    tFinancingExpert,
    tGuidanceUnit,
    tCooperativeOrganization,
    tInformationDelivery,
    tNewsCenter,
    tPolicyInterpretation,
    login,
    dictionary,
    financeclaim,
    banner,
    loanpro,
    loanfollow,
    managemoney,
    financeclaimadd,
    tUrgeHandle,
    tNewAssign,
    intelligentDocking,
    intelligentFollow,
    claimneed,
    follow,
  },
  state: { ...states },
  mutations: { ...muta },
  actions: {},
});
